﻿

img {
    max-width: 100%;
    height: auto;
    border-radius: 10px;
}

button {
    background-color: #1b98e0;
    color: #fff;
    border: 2px solid #1b98e0;
    border-radius: 10px;
    padding: 15px 25px;
    font-size: 18px;
    cursor: pointer;
    width: 90%;
    max-width: 400px;
    margin: 20px auto;
    display: block;
    font-weight: bold;
    text-transform: uppercase;
    transition: transform 0.5s cubic-bezier(0.4, 0, 0.2, 1), filter 0.5s cubic-bezier(0.4, 0, 0.2, 1);
}

    button:hover {
        transform: scale(1.08);
        filter: brightness(1.05);
    }

@media (min-width: 1224px){
    button {
        width: 449px;
        height: 67px;
        border-radius: 20px;
        font-size: 23px;
    }
}

/* SECTION 1 */
.BlueOceanHome {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 40px 20px;
    gap: 24px;
}

.BlueOceanHome img{
    border-radius: 20px;
}

.IntroductionContent {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    gap: 16px;
}

.TextIntroduction0 {
    font-size: 1.7rem;
    font-weight: bold;
}

.TextIntroduction1,
.TextIntroduction2 {
    font-size: 1.2rem;
    max-width: 90%;
}

@media (min-width: 1224px) {
    .BlueOceanHome {
        flex-direction: row;
        justify-content: center;
        align-items: center;
        gap: 10px;
        height: 38vw;
    }

    .IntroductionContent {
        padding: 50px 40px;
        text-align: center;
    }

    .TextIntroduction0 {
        font-size: 25.5px;
        font-weight: bold;
    }

    .TextIntroduction1 {
        font-size: 21.6px;
    }

    .TextIntroduction2 {
        font-size: 13px;
    }


}

/* SECTION 2 */
.SystemHMSSection {
    background-image: url('../images/helideck.png');
    background-color: rgba(0, 0, 0, 0.30);
    background-blend-mode: darken;
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 40px 20px;
    gap: 16px;
    text-align: center;
}

.SystemHMSSection img{
    border-radius: 20px;
}

.textSystemHMS0 {
    font-size: 1.5rem;
    font-weight: bold;
    text-shadow: 2px 2px 7px black;
}

.textSystemHMS1 {
    font-size: 1.1rem;
    text-shadow: 1px 1px 5px black;
    max-width: 90%;
}

.btn-mobile,
.btn-desktop {
    display: none;
}

.hr-desktop,
.hr-mobile {
    display: none;
    border: none;
}

@media (max-width: 1023px) {
    .btn-mobile {
        display: block;
    }

    .hr-mobile {
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .SystemHMSDiv {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        width: 100%;
    }
}

@media (min-width: 769px) and (max-width: 1024px) {
    .SystemHMSSection img {
        max-width: 70% !important;
    }
}

@media (min-width: 1224px) {
    .btn-desktop {
        display: block;
    }

    .hr-desktop {
        display: block;
    }

    .SystemHMSSection {
        flex-direction: row-reverse;
        padding: 0;
        height: 40vw;
        gap: 0;
        padding: 15px 25px;
    }

    .SystemHMSDiv {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        width: 50vw;
    }

    .SystemHMSDiv button{
        width: 100%;
        margin: 0;
    }

    .SystemHMSSection img {
        width: 90%;
        height: 30dvw;
    }

    .textSystemHMS0 {
        font-size: clamp(22px, 2.7vw, 32px);
    }

    .textSystemHMS1 {
        font-size: clamp(16px, 2.2vw, 24px);
        margin-bottom: 15px;
    }
}

/* SECTION 3 */
.HMSInfoDiv {
    padding: 40px 0px;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
}

.HMSInfoDiv h1 {
    font-size: 2rem;
    text-transform: uppercase;
}

    .HMSInfoDiv h2 {
        font-size: 1.3rem;
    }

    .HMSInfoDiv h3 {
        font-size: 1.1rem;
    }

    .HMSInfoDiv ul {
        padding: 0;
    }

        .HMSInfoDiv ul li {
            font-size: 1.1rem;
            margin-bottom: 5px;
        }

    .HMSInfoDiv p {
        font-size: 1rem;
        max-width: 90%;
    }

.divText-desktop,
.divText-mobile {
    display: none;
}

.HMSInfoDiv img {
    width: 80%;
    height: auto;
    margin-bottom: 20px;
}

.divText-desktop {
    display: block;
}

.HMSInfoDiv {
    gap: 2px;
    padding: 40px 20px 0px 20px;
}


@media (min-width: 1024px) {

    .divText-desktop {
        display: block;
    }
    .HMSInfoDiv {
        gap: 2px;
        padding: 40px 0px 0px;
    }

        .HMSInfoDiv img {
            width: 50%;
            height: auto;
        }

    .hed {
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: center;
        gap: 20px;
        width: 100%;
    }

        .hed h1 {
            font-size: clamp(22px, 2.5vw, 40px);
            white-space: nowrap;
        }

        .hed hr {
            flex: 1;
            height: 2.5px;
            background-color: white;
            border: none;
            opacity: 1;
        }

    .HMSInfoDiv h1 {
        font-size: 41.6px;
        font-weight: bold;
    }

    .HMSInfoDiv h2 {
        font-size: 26px;
        font-weight: bold;
    }

    .HMSInfoDiv h3 {
        font-size: 18.9px;
    }

    .HMSInfoDiv p {
        margin-top: 20px;
        font-size: 17.1px;
        margin-bottom: 0;
    }
}

/* SECTION 4 */
.HMSAboutSection {
    padding: 150px 0px;
    text-align: center;
    gap: 10px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.card {
    position: relative;
    overflow: hidden;
    height: 200px;
    border-radius: 12px;
    cursor: pointer;
    margin-bottom: 20px;
    margin-top: 20px;
}

    .card img {
        width: 100%;
        height: 100%;
        object-fit: cover;
        transition: transform 0.4s ease;
    }

    .card:hover img {
        transform: scale(1.2); /* zoom */
    }

.overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.6); /* escurece */
    color: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    opacity: 0;
    transition: opacity 0.4s ease;
    font-size: 18px;
    font-weight: bold;
    text-align: center;
    padding: 10px;
}

.card:hover .overlay {
    opacity: 1;
}


.textsMore {
    font-size: 14px;
    font-weight: bold;
    color: #ffff;
}

.HMSAboutDiv {
    display: flex;
    flex-direction: column;
    gap: 30px;
}

    .HMSAboutDiv > div p {
        font-size: 1rem;
        margin-bottom: 10px;
    }

.MoreServices {
    background-color: #144774;
    width: 100%;
}

hr {
    border: none;
    height: 2.5px;
    background-color: white;
    width: 100%;
    opacity: 1;
}

@media (min-width: 769px) and (max-width: 1024px) {
    .containerHMSAbout {
        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: flex-start;
        gap: 0px;
        flex-wrap: wrap;
        margin: 0px 0px 0px;
    }

    .card img {
        
        object-fit: cover;
        transition: transform 0.4s ease;
    }

    .card {
        width: 100%;
    }
}


@media (min-width: 1023px) {
    .containerHMSAbout {
        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: flex-start;
        gap: 40px;
        flex-wrap: wrap;
        margin: 40px 0px 0px;
    }

    .card {
        height: 300px;
    }

    .HMSAboutDiv h2{
        margin-top: 20px;
    }

    .helideckText {
        margin-top: 20px;
    }

    .helideckWrapper {
        display: flex;
        flex-direction: column;
        align-items: center;
        align-items: center;
        text-align: center;
        max-width: 200px;
        min-height: 280px;
        justify-content: flex-start;
    }

    .MoreServices {
        display: flex;
        align-items: center;
        gap: 20px;
        flex-direction: row;
        white-space: nowrap;
        height: 100px;
    }

   
}

/* Section 5 */
.MHSUtilitySection {
    background-image: url('../images/deck.png');
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    display: flex;
    flex-direction: column;
    padding: 100px 20px;
    align-items: center;
    gap: 20px;
    text-align: center;
    text-shadow: 1px 1px 12px black;
}


.HMSUtilityDiv h1 {
    font-size: 22.5px;
    font-weight: bold;
    margin: 35px 0 35px 0;

}

.textsFlags {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
}
.imgflag {
    width: 80px;
    height: auto;
}
.imgflagport {
    width: 80px;
    height: auto;
}

@media (min-width: 769px) and (max-width: 1024px) {
    .imgAtuacao {
        width: 60%;
        height: auto;
    }
}


@media (min-width: 1300px) {

    .MHSUtilitySection {
       padding: 75px 0px;      
    }

    .imgAtuacao {
        width: 60%;
        height: auto;
    }
    .atuacaoText {
        text-align: center;
    }

    .HMSUtilityDiv {
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: center;
        padding: 0 160px;
        margin: 0;
        gap: 40px; 
    }

    .HMSUtilityDiv h1{
        font-size: 34.5px;
        margin-bottom: 40px;
    }

    .textsFlags {
        display: flex;
        flex-direction: row;
        gap: 20px;
        align-items: center;
        justify-content: center;
    }

    .imgflag {
        width: 100px;
        height: auto;
    }

    .imgflagport {
        width: 110px;
        height: auto;
        border-radius: 20px;
    }
}

/* Section 6 */

.PartnersDiv {
    padding: 40px 0px;
    text-align: center;
    gap: 10px;
    display: flex;
    flex-direction: column;
    align-items: center;
    font-size: 45.9px;
    color: #ffff;
    font-weight: bold;
    
}

.hedOut {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
}

.partnersImage {
    height: 124px;
    width: 250px;
    margin-bottom: 20px;
}

@media (min-width: 1023px) {

    .PartnersDiv {
        gap: 40px;
    }

    .PartnersDiv img{
        margin: 10px;
        border-radius: 23px;
    }

    .hedOut {
        display: flex;
        flex-direction: row;
        align-items: center;
        gap: 20px;
        width: 100%;
        white-space: nowrap;
    }

    .img-out {
        padding: 0px 220px;
        margin-bottom: 15px;
    }
}

@media (min-width: 1281px) {
    .img-out {
        padding: 0px 400px;
    }

    .PartnersDiv img {
        margin: 15px;
        border-radius: 23px;
    }
}
    
/* Section 7 */

.SupportBlueOceanSection {
    background-image: url('../images/backgroundSupport.png');
    background-blend-mode: darken;
    background-position: 35% center;
    background-size: cover;
    background-repeat: no-repeat;
    display: flex;
    flex-direction: column;
    padding: 40px 20px;
    align-items: center;
    text-align: center;
    background-color: rgba(0, 0, 0, 0.18);
    text-shadow: 1px 1px 3px black;
}

.SupportBlueOceanDiv {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 14px;
    text-align: center;
}

.formSupport form {
    display: flex;
    flex-direction: column;
    padding: 20px;
    gap: 2px;
    border-radius: 20px;
    background-color: #001A33;
    text-align: initial;
}

.SupportBlueOceanDiv h1 {
    font-size: 35px;
    font-weight: bold;
    color: #fff;
}

.SupportBlueOceanDiv h2 {
    font-size: 15.1px;
    color: #fff;
}

.SupportBlueOceanDiv ul {
    font-size: 16.1px;
    font-weight: bold;
    text-align: initial;
}

    .formSupport button {
        padding: 15px 25px;
        font-size: 18px;
    }

.formSupport form input {
    border-radius: 8px;
}

@media (min-width: 1023px) {
    .SupportBlueOceanSection{
        background-image: 
        linear-gradient(to bottom,
        rgba(0, 22, 35, 0.38),
        rgba(0, 22, 35, 0.73)),
        url('../images/backgroundSupport.png');
        padding: 30px 100px;
    }

    .formSupport {
        width: 70%;
    }

        .formSupport button {
            width: 70%;
            height: 60%;
        }

    .SupportBlueOceanDiv h1 {
        font-size: 50px;
        
    }

    .SupportBlueOceanDiv h2 {
        font-size: 20.1px;
        
    }

    .SupportBlueOceanDiv ul {
        font-size: 20.1px;
       
    }
}
.whatsapp-float {
    position: fixed;
    width: 60px;
    height: 60px;
    bottom: 20px;
    right: 20px;
    background-color: #25d366;
    color: #fff;
    border-radius: 50%;
    text-align: center;
    font-size: 30px;
    box-shadow: 2px 2px 5px #999;
    z-index: 1000;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: transform 0.2s;
}

    .whatsapp-float:hover {
        transform: scale(1.1);
    }

    .whatsapp-float img {
        width: 35px;
        height: 35px;
    }